## videomass 6.1.20-1+11.0trisquel2

=== requirements.txt ===
# If you want install dependencies only, Use like this:
#    python3 -m pip install -r requirements.txt

# If you want install dependencies + Videomass, Use like this:
#   python3 -m pip install videomass -r requirements.txt
#
#   OR
#       python3 -m pip install videomass

# Notes for Tester:
# -----------------
# Test installations also include compiling Videomass from source
# distribution (sdist), so to build the binary wheel, additional packages are
# required. If this is your case, to proceed, first install the dependencies
# declared in the "requirements/development.txt" file first.

# This assumes installation in a virtual environment using python3-venv module
# with `--system-site-package` option, like this:
#
#   ~$ python3 -m venv --system-site-packages --upgrade-deps VENV
#   ~$ source VENV/bin/activate
#   ~$ python3 -m pip install --no-binary videomass -r requirements.txt

# On some systems, you may need to use "py" or "python" instead of "python3"


-r requirements/installation.txt

## videomass 3.4.3+git20210516

=== debian/changelog ===
videomass (3.4.3+git20210516-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 19 May 2021 13:01:25 -0400

videomass (3.4.3-1) UNRELEASED; urgency=medium

  * Update Portuguese (BR) translation (thanks to Samuel)
  * Fixed `FileNotFoundError` traceback during youtube-dl update on AppImage.
    This occured when the log directory has not yet created.
  * YouTube Downloader: added a new checkbox to restrict filenames (see #21)
  * Fixed #21
  * Improved information and text formatting on log files
  * Provided more log information about output monitoring, such as source and
    destination file names
  * Removed `-map 0:v?` From Loudnorm filter code because it causes failure.
  * Fixed #24, bug when resetting video filters: The value of the "VFilter"
    key caused failure with error status `Unable to find a suitable output
    format for '(,' (,: Invalid argument` .
  * some code refactor (based on flake8/pylint)

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Tue, 02 May 2021 20:49:00 +0200
 

videomass (3.4.2-1) UNRELEASED; urgency=medium

  * MS-Windows: Fixed issue with opening the Explorer file browser on default
    folders.
  * youtube-dl: Removed some choice options. Now there is only the option to
    enable or disable it.
  * youtube-dl: only packages built with pyinstaller use a local copy of
    the youtube-dl executable. Otherwise youtube-dl will always be used as
    a Python module, if enabled.
  * Fixed wizard dialog.
  * Fixed setup dialog.
  * Concat demuxer: fixed inconsistencies on UI
  * Fix `NameError: name EXECYDL is not defined`. This occurred running
    Videomass on MS-Windows when youtube-dl python module was not installed.
  * Improved youtube-dl tab on Setup dialog.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Sat, 24 Apr 2021 19:01:00 +0200

videomass (3.4.1-1) UNRELEASED; urgency=medium

  * Update Russian translation
  * Fixed gauge progress issues with some ffmpeg encoder.
  * Fixed percentage progress issues with some ffmpeg encoder
  * Fixed missing string to get exception 'FileNotFoundError' on MessageBox()
    of `on_Audio_analyzes` function (av_conversions.py)
  * Fixed missing double quotes on ffmpeg URL, giving `[Errno 2] file or
    directory does not exist`, which occurred when the path has whitespace.
  * Fixed exception not showing up when playing ffplay.
  * Removed double-click on profile to start processing on Presets Manager,
    which would cause the command to be reset when the user changes it.
  * Fixed URLs for screenshots on appdata.xml
  * New icon for previews.
  * Fixed final message not visible on Output Monitoring panel. Scrolling on
    "[Videomass]: Successfully completed !"
  * Crop Filter Dialog: Layout on small, low-resolution screens is now improved.
  * Resizing filters: added source size information.
  * Fixed foreground/background colors on status bar messages.
  * Fixed #19
  * New multi-language user guide (English, Russian and Italian for now).
  * Fixed #17
  * Translated into Dutch, thanks to Roelof Berkepeis.
  * Reading and writing files now has encoding 'utf-8'.
  * AV-Conversions: Added new GUI for video stabilizer filter.
  * AV-Conversions: resizing filter, fixed some incorrect values on displays
    after setting.
  * AV-Conversions: improved order of applying video filters.
  * Preview and playback: added auto-exit checkbox on Settings menu.
  * Fixed #20
  * Translated into Portuguese (Brazilian), thanks to Samuel.
  * Improved accuracy of the crop filter on the area selection.
  * Play button removed on toolbar as confusing.
  * Improved enabling and disabling of buttons during some actions.
  * The Streams Info button is now also enabled on the queued files panel.
  * Removed automations on Presets manager as confusing.
  * Added useful panel for media concatenation (concat demuxer)
  * Setup dialog: added pip3 command on text control to facilitate
    copy and paste.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Sun, 18 Apr 2021 09:46:00 +0200

videomass (3.3.8-1) UNRELEASED; urgency=medium

  * Fixed some buttons spacings.
  * Improved Setup dialog layout.
  * update localization_guidelines.md.
  * update Videomas-Colours icons 16x16.
  * Remove youtube-dl from required dependencies on Videomass Debian package
    (the user can choose alternative installations of youtube-dl).
  * Fixed #14, bug showing truncated text in the wizard dialog (Xubuntu 20.04
    with XFCE the texts are longer and not completely visible)
  * New Linux appdata.xml for GUI applications via AppStream MetaInfo Creator.
  * Fixed appdata.xml on AppImage via AppStream MetaInfo Creator.
  * Fixed videomass.desktop via AppStream MetaInfo Creator.
  * Fixed issue with running Videomass AppImage via Firejail.
  * Fixed issue with Setup dialog not showing on Videomass AppImage.
  * Improved youtube-dl tab on setup dialog.
  * Youtube Downloader: Added checkbox to include the video ID in the file name.
  * Fixed playlist folder structure.
  * Fixed #14
  * Updating videomass man page.
  * Added support for the Dutch language (to be translated).

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Fri, 13 Feb 2021 09:21:10 +0200

videomass (3.3.7-1) UNRELEASED; urgency=medium

  * Added new icon themes, (colorful, dark and light).
  * Removed Papirus icon theme.
  * Ability to customize toolbar positioning (on Setup dialog box)
  * Ability to show or hide text on toolbar buttons (on Setup dialog box)
  * Enabled support to svg images for toolbar icons and some buttons (only with
    wxPython version 4.1 to up)
  * Ability to scales the toolbar icons (only with wxPython version 4.1 to up)
  * Improved AV-conversions panel layout.
  * Fix `invalid values in gauge` on progress bar during transcoding processes
    when timeline duration exceeds the time of some files.
  * Update Russian translation (credits ChourS).


=== debian/control ===
Source: videomass
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Gianluca Pernigotto <jeanlucperni@gmail.com>
Section: python
Priority: optional
Build-Depends: python3-setuptools, python3-all, debhelper (>=11~), dh-python
Standards-Version: 4.1.4
Homepage: https://github.com/jeanslack/Videomass
X-Python3-Version: >= 3.6


Package: python3-videomass
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         youtube-dl,
         ffmpeg,
         libsdl2-2.0-0,
         python3-wxgtk4.0,
         python3-pubsub,
         python3-requests
Suggests: atomicparsley,
Description: Videomass is a cross-platform GUI for FFmpeg and youtube-dl
 Videomass is a cross-platform GUI designed for FFmpeg enthusiasts who need
 to manage custom profiles to automate conversion/transcoding processes.
 .
 It is based on an advanced use of presets and profiles in order to use most
 of the [FFmpeg](https://www.ffmpeg.org/) commands without limits of formats
 and codecs.
 .
 It features graphical tools for viewing, analyzing and processing multimedia
 streams and downloading videos via youtube-dl.
 .
 Videomass is written in Python3 with the wxPython-Phoenix toolkit.

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PYBUILD_NAME = videomass

%:
	dh $@ --with python3 --buildsystem=pybuild

## videomass 3.4.3+git20210720

=== debian/changelog ===
videomass (3.4.3+git20210720-1~mx21+1) mx; urgency=medium

  * Initial packaging for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 23 Jul 2021 10:21:41 -0400

videomass (3.4.3-1-1~mx21+1) mx; urgency=medium

  * Update Portuguese (BR) translation (thanks to Samuel)
  * Fixed `FileNotFoundError` traceback during youtube-dl update on AppImage.
    This occured when the log directory has not yet created.
  * YouTube Downloader: added a new checkbox to restrict filenames (see #21)
  * Fixed #21
  * Improved information and text formatting on log files
  * Provided more log information about output monitoring, such as source and
    destination file names
  * Removed `-map 0:v?` From Loudnorm filter code because it causes failure.
  * Fixed #24, bug when resetting video filters: The value of the "VFilter"
    key caused failure with error status `Unable to find a suitable output
    format for '(,' (,: Invalid argument` .
  * some code refactor (based on flake8/pylint)
  * Dutch translation completed.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Thu, 01 Jun 2021 10:35:00 +0200

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,15 @@
 Homepage: https://github.com/jeanslack/Videomass
 X-Python3-Version: >= 3.6
 
-
 Package: python3-videomass
 Architecture: all
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         youtube-dl,
          ffmpeg,
-         libsdl2-2.0-0,
          python3-wxgtk4.0,
          python3-pubsub,
-         python3-requests
+         python3-requests,
+         youtube-dl
 Suggests: atomicparsley,
 Description: Videomass is a cross-platform GUI for FFmpeg and youtube-dl
  Videomass is a cross-platform GUI designed for FFmpeg enthusiasts who need

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # You must remove unused comment lines for the released package.
-export DH_VERBOSE = 1
+#export DH_VERBOSE = 1
 #export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

## videomass 3.5.6-1+9.0trisquel1

=== debian/changelog ===
videomass (3.5.6-1+9.0trisquel1) etiona-backports; urgency=medium

  * Backported from official PPA for videomass

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 23 Feb 2022 18:37:10 +0000

videomass (3.5.6-1) focal; urgency=medium

  * Fixed downloader log names.
  * Improved log management (the log folder is created at program startup
    instead of ondemand).
  * Fixed ffmpeg `invalid argument` when converting using double pass.
  * Fixed the ffmpeg audio output mapping string error on
    `AV-Conversion.on_audioOUTstream` method, which raises
    `Invalid stream specifier: a1` type error.
  * Fixed the 'xdg-open' command execution which blocks the Videomass GUI
    on Linux.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Mon, 21 Feb 2022 13:38:00 +0200

videomass (3.5.5-1) UNRELEASED; urgency=medium

  * AV/Conversions: Added 'opus' enc to ogg audio format.
  * Fixed `AttributeError: module 'wx' line has no attribute 'NewIdRef'` issue
    #51.
  * Improved handle `progress hooks` data on `dl_downloader.py`
  * Changed videomass.conf to settings.json.
  * Improved management and start-up of all settings.
  * Improved ffprobe subprocessing.
  * Moved subprocess.STARTUPINFO to separate Popen class.
  * [Downloader]: fixed ValueError: could not convert string to float: 'Unknown '
  * Fixed background/foreground colors using xterm console on Linux
    when updating downloaders.
  * Added icon to xterm window.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Wed, 16 Feb 2022 13:57:00 +0200

videomass (3.5.3-1) UNRELEASED; urgency=medium

  * Update Spanish translation from @katnatek
  * Changed some windows from mini-frame to dialog to make more confortable
    re-size adjustment.
  * fixed Videomass no longer restarts after disabling the downloader #45 .
  * Improved button popups in the audio normalization window #47.
  * Changed vdms_dialogs/popup.py to vdms_dialogs/widget_utils.py
  * Improved layout of `widget_utils.PopupDialog` + added
    `ActivityIndicator` #47 .
  * Improved debug text messages on Process Log panel.
  * Added a Notification Area (aka "system tray") to display messages at the
    end of processes #47 .

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Mon, 29 Nov 2021 16:43:00 +0200

videomass (3.5.2-1) UNRELEASED; urgency=medium

  * Fixed `command not found` issue. In some cases using pip to install
    Videomass the directory is not added to the $PATH.
  * [YOUTUBE-DOWNLOADER] Added option to get 'Best', 'Medium' and 'Worst' of
    precompiled videos. It may be useful to speed up video download containing
    both audio and video, e.g. without download video and audio separately and
    then executing the merging process with FFmpeg.
  * [YOUTUBE-DOWNLOADER] Improved 'Get Statistics' and 'Download by Format Code'
    features. This should improve exception management of unusual web site
    data structures (like <http://zen.yandex.ru/>) and playlists, channels, etc.
  * #41 Fixed mount point issue on external drives using relative paths on
    MS-Windows. If "ValueError" is raised, it returns the absolute path given
    instead of showing the error.
  * [YOUTUBE-DOWNLOADER] Improved 'Download all videos in playlist' feature
    when checked on URLs containing playlists.
  * [YOUTUBE-DOWNLOADER] fixed audio quality when 'Download split audio
    and video' option is selected.
  * [NEW] Added the ability to read and write useful notes with deafault text
    editor (Request made by @ChourS).
  * During the processes some menu items have been enabled allowing you to
    perform some useful actions.
  * Improved Setup dialog with a new Miscellanea tab.
  * Added the ability to delete the contents of log files when exiting the
    application (see Setup dialog Miscellanea tab).
  * Update Russian translation from @ChourS
  * Update Italian translation from @jeanslack

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Mon, 22 Nov 2021 09:40:00 +0200

videomass (3.5.1-1) UNRELEASED; urgency=medium

  * Fixed Ctrl+Q keybord shorcut does not work on Windows (see #39).
  * #39 Added new check box 'Warn on exit' on setup dialog appearance tab.
  * #39 Improved handling of exiting the application after making changes
    to user preferences.
  * [YOUTUBE-DOWNLOADER] Improved "Best quality video" selector to the best
    quality overall.
  * [YOUTUBE-DOWNLOADER] Improved "Worst quality video" selector to the worst
    quality overall.
  * [YOUTUBE-DOWNLOADER] Added video format selection when downloading videos.
  * [YOUTUBE-DOWNLOADER] Fixed downloader not updating using Videomass AppImage
    (due to incorrect code indentation).
  * [YOUTUBE-DOWNLOADER] improved playlist indexing dialog.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Wed, 20 Oct 2021 00:14:00 +0200

videomass (3.5.0-1) UNRELEASED; urgency=medium

  * Added support to a new downloader: yt-dlp, an updated fork of youtube-dl.
  * Now you can switch between youtube-dl and yt-dlp via setup dialog.
  * Fixed test files.
  * Added code implementation for Python embed package (only for Windows).
  * Some code refactoring.
  * Changed package name from `videomass3` to `videomass`.
  * Changed main from `vdms3.py` to `gui_app.py`.
  * Fixed man page.
  * Improved error handling during application startup.
  * Made some cosmetic improvements.
  * Fixed #37 - Incorrect video and audio qualities values on YouTube
    Downloader panel.
  * Improved video quality selector on the YouTube Downloader panel.
  * New version of the videomass.conf configuration file v3.3
  * Improved output debug colours and message texts.
  * Videomass bundles for Windows and macOS also include youtube-dl and yt-dlp.
  * The code to run youtube-dl as subprocess (in some cases) has finally been
    removed.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Thu, 07 Oct 2021 12:51:00 +0200

videomass (3.4.7-1) UNRELEASED; urgency=medium

  * Fixed tests


=== debian/control ===
Source: videomass
Maintainer: Gianluca Pernigotto <jeanlucperni@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>=11~), dh-python, python3-all, python3-setuptools
Standards-Version: 4.1.4
Homepage: https://github.com/jeanslack/Videomass
X-Python3-Version: >= 3.6

Package: python3-videomass
Architecture: all
Depends: ffmpeg,
         python3-pubsub,
         python3-requests,
         python3-wxgtk4.0,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: atomicparsley, youtube-dl, yt-dlp
Description: Videomass is a cross-platform GUI for FFmpeg and youtube-dl
 Videomass is a cross-platform GUI designed for FFmpeg enthusiasts who need
 to manage custom profiles to automate conversion/transcoding processes.
 .
 It is based on an advanced use of presets and profiles in order to use most
 of the [FFmpeg](https://www.ffmpeg.org/) commands without limits of formats
 and codecs.
 .
 It features graphical tools for viewing, analyzing and processing multimedia
 streams and downloading videos via youtube-dl or yt-dlp.
 .
 Videomass is written in Python3 using the wxPython-Phoenix GUI toolkit.

## videomass 3.5.6-1+10.0trisquel1

=== debian/changelog ===
videomass (3.5.6-1+10.0trisquel1) nabia-backports; urgency=medium

  * Backported from official PPA for videomass

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 23 Feb 2022 12:36:59 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>=11~), dh-python, python3-all, python3-setuptools
 Standards-Version: 4.1.4
 Homepage: https://github.com/jeanslack/Videomass
-X-Python3-Version: >= 3.6
+X-Python3-Version: >= 3.7
 
 Package: python3-videomass
 Architecture: all

## videomass 5.0.13-1+11.0trisquel1

=== debian/changelog ===
videomass (5.0.13-1+11.0trisquel1) aramo-backports; urgency=medium

  * Backported from official PPA for videomass

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 14 May 2024 16:39:25 +0000

videomass (5.0.13-1) focal; urgency=medium

  * [YouTube Downloader] Fix `--playlist-items` using executable.
  * [YouTube Downloader] Improved playlists/channels check before start
    download.
  * Update english user guide documentation (pdf docs) and related references.
  * Fixed wrong deinterlace command option using w3fdif filter.
  * [YouTube Downloader] Fixed audio/video qualities (see #305 #307)
  * Added shutdown system and auto-exit the application. These settings are
    found on the "Exit and Shutdown" tab of Preferences dialog (see #306).

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Mon, 13 May 2024 14:00:00 +0200

videomass (5.0.12-1) UNRELEASED; urgency=medium

  * Improved description strings on menu bar.
  * [Presets Manager] Improved profile settings dialog layout.
  * Added ability to edit command arguments "on-the-fly" in the queue dialog.
  * Text on toolbar buttons will now always be shown below their respective
    icons.
  * Fixed "FileNotFoundError: [Errno 2]" traceback at the end of the process,
    raised if the "Trash the source files" checkbox had been checked to delete
    the same file more than once.
  * Show log messages window is been moved to menu bar -> Help.
  * Made some cosmetic improvements.
  * [A/V Conversions] Added opus output format option to Audio Target Media.
  * [File drop List] Added context menu by right mouse clicking.
  * Removed "Clear" icon on the toolbars because it was obsolete. Now to remove
    items there are keyboard shortcuts, options in the Edit menus plus
    mouse right-click context menus.
  * [YouTube Downloader] Added proxy setup (see #246).
  * [YouTube Downloader] Added authentication + Video password setup.
  * [YouTube Downloader] Now it has its own setup dialog, a new convenient
    window for YouTube Downloader options.
  * Preferences dialog has been moved to the Edit menu.
  * Most options in the preferences dialogs no longer require restarting the
    application, except for toggling yt_dlp, application language,
    and look-and-feel options.
  * Removed menu for setting destination folders and restoring default
    destination folder.
  * Changing the destination folders in the file list and URL list panels will
    now make the destination paths the new default paths without the need to
    open preferences dialog.
  * [Presets Manager] Fixed bug in supported formats check. If the warning about
    supported formats was triggered, the program silently prevented the
    conversion processes from starting.
  * [Presets Manager] Improved dialog layout when warning about supported
    formats.
  * Added destination path display for any confirmation dialog before running
    batch processes.
  * Fixed errors and inconsistencies on initialize trash directory path name.
  * [YouTube Downloader] Added Geo-restriction options. This feature geo
    verification proxy, geo bypass, geo bypass country, geo bypass ip block.
  * [YouTube Downloader] Added cookies options and some convenient automations
    about cookies.
  * [YouTube Downloader] Login passwords and video password will not be stored
    anywhere. The user will be forced to re-enter his credentials every time he
    restarts the application.
  * [FFprobe] Added "UnicodeDecodeError" to the exceptions list in the ffprobe
    module to ensure that files that cannot be encoded with utf-8 unicode are
    handled by the application.
  * Added the ability to change the encoding for files that contain metadata
    with non-UTF-8 encoded characters. The function is found in the Preferences
    dialog (Advanced tab).
  * Improved closing of ffmpeg by clicking the stop button to close FFmpeg
    gracefully programmatically by writing "q" to the subprocess's stdin pipe
    simulating the user pressing the "q" key.
  * Improved the pop-up dialog box for temporary messages.
  * [YouTube Downloader] Added ability to use the yt-dlp executable only for
    download not for get format code and statistics. This feature would allow
    you to interrupt the process from any point of the download.
  * [YouTube Downloader] Fixed `Best precompiled video` issue to truly get the
    best precompiled video.
  * [YouTube Downloader] Fixed `Worst precompiled video` issue to truly get the
    worst precompiled video.
  * [YouTube Downloader] Added `Medium High precompiled video` and `Medium Low
    precompiled vieo`.
  * [YouTube Downloader] Added the ability to run/rerun downloads directly in
    the `Downloader Message Monitoring` panel.
  * [YouTube Downloader] Fixed option mapping issue to pass to `YdlExtractInfo`
    thread to get data for format code and Statistics.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Mon, 29 Apr 2024 16:00:00 +0200

videomass (5.0.11-1) UNRELEASED; urgency=medium

  * This release fixes `ModuleNotFoundError` issue installing from PyPi and
    packaging for distributions.
  * Fix missing `__init__.py` file inside `vdms_panels` directory.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Sat, 30 Mar 2024 00:00:00 +0200

videomass (5.0.10-1) UNRELEASED; urgency=medium

  * [A/V Conversions] [Presets Manager] [NEW] Added ability to manage and
    process file queues. This will make Videomass capable of both processing
    files in batches (as we know) and processing queues of files. Each item
    added to the queue will can have different settings, such as different
    times trimming, different filters, etc. To improve productivity, this
    feature includes the ability to add items to the queue in both Presets
    Manager and A/V Conversions.
  * [A/V Conversions] Code refactoring and UI layout improvement.
  * [A/V Conversions] [NEW] Added new graphics controls for encoder features.


## videomass 5.0.14-1+10.0trisquel1

=== debian/changelog ===
videomass (5.0.14-1+10.0trisquel1) nabia-backports; urgency=medium

  * Backported from official PPA for videomass

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 30 May 2024 18:41:41 +0000

videomass (5.0.14-1) focal; urgency=medium

  * [AV Conversions] Fixed crop area display (crop filter) issue using Wayland.
  * [Timeline] Fixed selected area display using Wayland.
  * [AV Conversions] Improved `Save profile` functionality + bug fixes #316.
  * [Presets Manager] Improved error handling writing profiles.
  * Update user guide to v5.0.14.
  * [Still Image Maker] Fixed duration to milliseconds conversion issue that
    raised wxAssertionError `invalid value in wxGauge::SetValue()`.
  * [AV Conversions] Fixed preview issue using stabilze filter on MS-Windows.
  * Improved GUI layout for AV-Conversions, Presets Manager and
    YouTube Downloader.
  * Fixed issue in Preferences dialog when yt-dlp was enabled but the yt_dlp
    Python module was not found. This fixes the incorrect display of the restart
    message by setting other preferences.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Thu, 30 May 2024 17:00:00 +0200

videomass (5.0.13-1) UNRELEASED; urgency=medium

  * [YouTube Downloader] Fix `--playlist-items` using executable.
  * [YouTube Downloader] Improved playlists/channels check before start
    download.
  * Update english user guide documentation (pdf docs) and related references.
  * Fixed wrong deinterlace command option using w3fdif filter.
  * [YouTube Downloader] Fixed audio/video qualities (see #305 #307)
  * Added shutdown system and auto-exit the application. These settings are
    found on the "Exit and Shutdown" tab of Preferences dialog (see #306).

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Mon, 13 May 2024 14:00:00 +0200

=== debian/control ===
Source: videomass
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Section: python
Priority: optional
Build-Depends: debhelper (>=11~), dh-python, python3-all, python3-setuptools
Standards-Version: 4.1.4
Homepage: https://github.com/jeanslack/Videomass
X-Python3-Version: >= 3.7

Package: python3-videomass
Architecture: all
Depends: ffmpeg,
         python3-pubsub,
         python3-requests,
         python3-wxgtk4.0,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: atomicparsley, yt-dlp
Description: Videomass is a cross-platform GUI for FFmpeg and yt-dlp
 Videomass is a powerful, multitasking and cross-platform graphical user
 interface (GUI) for FFmpeg and yt-dlp.
 .
 It offers a wide range of features and functions, making it a comprehensive
 software solution.
 .
 Videomass is written in Python3 using the wxPython-Phoenix GUI toolkit.

## videomass 5.0.21

=== debian/changelog ===
videomass (5.0.21-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Thu, 31 Oct 2024 16:44:33 +0100

=== debian/control ===
Source: videomass
Section: Multimedia
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Build-Depends: debhelper-compat (= 11), python3 | python3-all, dh-sequence-python3, pybuild-plugin-pyproject, python3-hatchling
Standards-Version: 4.5.0
Homepage: https://github.com/jeanslack/Videomass

Package: videomass
Architecture: all
Depends: ffmpeg, python3 (>= 3.7), python3-pubsub, python3-wxgtk4.0, python3-requests
Suggests: atomicparsley, yt-dlp
Description: Videomass
  Videomass provides a graphical interface for audio and video conversions through FFmpeg.

## videomass 6.1.13-1trisquel1

=== debian/changelog ===
videomass (6.1.13-1trisquel1) ecne-backports; urgency=medium

  * Backported from official PPA for videomass

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 30 Jul 2025 17:48:42 +0000

videomass (6.1.13-1) noble; urgency=low

  * Fixed "Go" menu item that was incorrectly left enabled on "Output Monitor"
    during transcoding processes, leaving the user able to click on it, leading
    to unexpected interface behavior.
  * Fixed "Edit" menu subitems according to user actions.
  * Fixed the popup menu (aka context menu) items displayed when right-clicking
    in the "File List" panel. Enabling/disabling items depends on user actions.
  * Fixed some typos.
  * [AV/CONVERSIONS] Fixed static text allignements on Audio tab and
    Miscellaneous tab.
  * [STILL IMAGE MAKER] Improved UI layout adding spaces between the widgets.
  * Fixed compatibility issues between versions of the Python requests #15 .
  * Removed unnecessary log file names from showlogs dialog.
  * [AV/CONVERSIONS] Fixed `IndexError: list index out of range` stack-traces
    raised with audio volumedetect list while the user import new files and Run
    transcoding process.
  * Improved text formatting on volumedetected.log file.
  * [AV/CONVERSIONS] Volume detect requires at least one file, not a selection.
  * Update ru_RU i18n, thanks to ChourS.
  * Update File_Catalog.txt for xgettext usability.
  * Added options to create a pot file without source references, #401 thanks to
    @bovirus.
  * Added options to have always long lines without forced CR/LF without
    obsolete strings and without source references, #401 thanks to @bovirus.
  * Improved babelutils.py command line, adding more features, including those
    added by @bovirus in #401 .
  * Fixed typo on shownormalist.py incorrectly aliased to _(
  * Fixed typo on sequence_to_video.py incorrectly aliased to _(
  * Added contextual help for all video filters. Clicking the contextual help
    buttons will direct the user to the corresponding web page.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Wed, 30 Jul 2025 16:36:59 +0200

## videomass 6.1.13-1+11.0trisquel2

=== debian/changelog ===
videomass (6.1.13-1+11.0trisquel2) aramo-backports; urgency=medium

  * Backported from official PPA for videomass

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 30 Jul 2025 18:25:26 +0000

## videomass 6.1.18-1trisquel1

=== debian/changelog ===
videomass (6.1.18-1trisquel1) ecne-backports; urgency=medium

  * Backported from official PPA for videomass

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 28 Aug 2025 18:46:49 +0000

videomass (6.1.18-1) noble; urgency=low

  * Fixed `ValueError: could not convert string to float:` in
    long_processing_task.py using latest FFmpeg versions.
  * Fixed enabling "Batch rename files" on `switch_file_import` method.
  * [AV/CONVERSIONS] New feature: Added the ability to set more parameters for
    subtitle streams, such as subtitle codec and map indexing.
  * [AV/CONVERSIONS] Add 16 more indexing selections for audio and subtitles.
  * [AV/CONVERSIONS] Removed OGV format from drop list because obsolete.
  * [AV/CONVERSIONS] Added subtitle stream item in Batch Mode summary dialog
    for user confirmation.
  * Updated command line and man page.
  * Improved tool tips for stream indexing controls.
  * [AV/CONVERSIONS] New feature: Added button to display the raw command
    line dialog.
  * Updated File_Catalog.txt .
  * Some code improvements and refactoring.
  * Fixed bug when playing files with path names containing more than one space.
  * [FILE LIST] Fixed `UnboundLocalError:` by LEFT clicking on "Size" column
    headers using the latest FFmpeg versions (which changed unit names e.g.
    Mibyte to Mbyte etc.)
  * Using ffplay, the draw timestamp font size dependent on height of the video.
  * [TIMELINE] New feature: Added ability to display waveform (resolve #140
    feature request).
  * [TIMELINE] New feature (only available for Linux/FreeBSD/MacOS for now):
    Added a convenient playback feature to the timeline with some additions
    like a progress meter/cursor.
  * [TIMELINE] Improved GUI layout and usability.
  * [TIMELINE] Fixed a bug in file import where the overall duration in the
    timeline would get stuck at 23.59.59.999.
  * [TIMELINE] Fixed the overall duration to 00:00:00.000 if no files were
    imported or selected. In these cases, the timeline controls will now be disabled.
  * [FROM VIDEO TO PICTURES] Removed the `fifo` filter for GIF creation because
    it was removed from recent versions of FFmpeg (it also seems unnecessary).
  * [STILL IMAGE MAKER] Iproved usability setting the images time interval.
  * Update Italian language (thanks to @Bovirus and @jeanslack).
  * Update Russian language (thanks to ChourS)

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Thu, 28 Aug 2025 14:59:19 +0200

## videomass 6.1.18-1+11.0trisquel2

=== debian/changelog ===
videomass (6.1.18-1+11.0trisquel2) aramo-backports; urgency=medium

  * Backported from official PPA for videomass

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 28 Aug 2025 18:46:45 +0000

## videomass 6.1.20-1trisquel1

=== debian/changelog ===
videomass (6.1.20-1trisquel1) ecne-backports; urgency=medium

  * Backported from official PPA for videomass

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 20 Sep 2025 00:47:22 +0000

videomass (6.1.20-1) noble; urgency=low

  * Fixed the annoying issue when selecting a specific audio index on files
    containing more than one audio stream #412 .
  * Improved log management.
  * Fixed log writing.
  * The file selected in the file list panel will also be selected in Source
    Stream Properties window.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Fri, 19 Sep 2025 19:12:45 +0200

## videomass 6.1.20-1+11.0trisquel2

=== debian/changelog ===
videomass (6.1.20-1+11.0trisquel2) aramo-backports; urgency=medium

  * Backported from official PPA for videomass

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 20 Sep 2025 00:47:19 +0000

=== debian/control ===
Source: videomass
Section: video
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3-all,
               python3-babel,
               python3-hatchling,
               python3-setuptools
Standards-Version: 4.5.1
Homepage: https://github.com/jeanslack/Videomass
Rules-Requires-Root: no
#Vcs-Git: https://salsa.debian.org/debian/videomass.git
#Vcs-Browser: https://salsa.debian.org/debian/videomass
X-Python3-Version: >= 3.8

Package: videomass
Architecture: all
Multi-Arch: foreign
Depends: ffmpeg,
         python3-pubsub,
         python3-requests,
         python3-wxgtk4.0,
         ${misc:Depends},
         ${python3:Depends}
#Recommends:
#Suggests:
Description: Cross-platform GUI for FFmpeg
 Videomass is a powerful, multitasking and cross-platform graphical user
 interface for FFmpeg. Videomass is written in Python3 using the
 wxPython-Phoenix GUI toolkit.
 .
 It offers a wide range of features and functions, making it a comprehensive
 software solution.
 .
 It features file concatenation, batch-mode, queue management, time trimmer,
 ability to create thumbnails, tiled mosaics and animated giffs from movies;
 it has sophisticated GUIs for video filters and previews like resizing,
 croping, transposing, color equalization. It features PEAK, RMS and EBU audio
 normalization with streams indexing capabilities, audio volume analyzer,
 audio preview and many more interesting features…
 For the people that are familiar with FFmpeg, it has a highly customizable
 preset manager with the possbility to easily make your own presets. For less
 experienced people there are also ready-to-use presets.
 It offers out-of-the-box all possible
 file formats like MP4, M4V, M4A, MKV, AVI, OGV, WEBM, MP3, AC-3, WAV, OPUS,
 FLAC, OGG and encoders like MPEG-4, H.264/AVC, H.265/HEVC, VP8, VP9,
 LIBAOM-AVI, VORBIS, PCM, LAME, ALAC, etc. Also you can copy audio or video
 streams (lossless mode) without re-encoding, or extract audio from videos and
 much more!

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1

#%:
#	dh $@ --with python3

export PYBUILD_NAME = videomass

%:
	dh $@ --with python3 --buildsystem=pybuild
